Subject: [bug#78241] [PATCH core-packages-team] Update Hurd and Mach

From: [email-masked]
Date: Tue, 6 May 2025 17:23:00 +0200 (CEST)

Hi Janneke,

May 6, 2025, 13:16 by [email-masked]:

>
> Hmm, any idea why adding that flag has become necessary?  Should that
> maybe be part of this patch set then?  If so, you can send a "fixup!" or
> "squash!" commit.
>
The -Wno-implicit-function-declaration is for rumpkernel and unrelated to hurd/mach.
I have just started trying to send some of the patches I have been sitting on for a while.
Here is the full error:
/tmp/guix-build-rumpkernel-0-20211031-0.f1ffd64.drv-0/source/buildrump.sh/src/tools/sed/../../usr.bin/sed/process.c <http://buildrump.sh/src/tools/sed/../../usr.bin/sed/process.c>: In function 'lputs':
/tmp/guix-build-rumpkernel-0-20211031-0.f1ffd64.drv-0/source/buildrump.sh/src/tools/sed/../../usr.bin/sed/process.c:636:41 <http://buildrump.sh/src/tools/sed/../../usr.bin/sed/process.c:636:41>: error: implicit declaration of function 'wcwidth' [-Wimplicit-function-declaration]
  636 |                         width = (size_t)wcwidth(wc);

This is caused by using gcc-14 for the HOST_CC and adding gcc-14 as a native-input reproduces the issue on the master branch. Until now the HOST_CC was gcc-11 and only the CROSS_CC has been gcc-14.

In my current checkout I have "fixed" it by adding -V HOST_CFLAGS=-Wno-implicit-function-declaration to the build.sh invocation to silence the warning.
I also saw that rumpkernel has a 20250111 tag in the debian repository but struggled adapting the build system to the new version.